@extends('layouts.pro-logged-in')
@section('content')

    <h3 class="d-flex mb-3">
        <div>Care Month Entries: Add New For Cm</div>
        <div class="ml-auto">
            <a class="btn btn-primary btn-sm" href="{{route('care_month_entries-index')}}">
                <i class="fa fa-chevron-left" aria-hidden="true"></i>
                Back
            </a>
        </div>
    </h3>

    <form action="/post-to-api"
          method="post" enctype="multipart/form-data"
          class="bg-light rounded border px-3 pt-3 mb-3">
        @csrf

        @if (session('message'))
            <div class="alert alert-danger">{{ session('message') }}</div>
        @endif

        <input type="hidden" name="_api" value="/api/careMonthEntry/createForCm">
        <input type="hidden" name="_success" value="{{route('care_month_entries-index')}}">
        <input type="hidden" name="_return" value="{{route('care_month_entries-add_new_for_cm')}}">
        <div class='form-group mb-3'>
<label class='control-label'>Care Month</label>
<select class='form-control' name='careMonthUid' >
<option value=''>-- Select --</option>
<?php $dbOptions = \Illuminate\Support\Facades\DB::table('care_month')->get(); ?>
<?php foreach($dbOptions as $o): ?>
<option value='<?= $o->uid ?>'><?= $o->start_date ?> (<?= $o->uid ?>)</option>
<?php endforeach; ?>
</select>
</div>
<div class='form-group mb-3'>
<label class='control-label'>Pro</label>
<select class='form-control' name='proUid' >
<option value=''>-- Select --</option>
<?php $dbOptions = \Illuminate\Support\Facades\DB::table('pro')->get(); ?>
<?php foreach($dbOptions as $o): ?>
<option value='<?= $o->uid ?>'><?= $o->name_display ?> (<?= $o->uid ?>)</option>
<?php endforeach; ?>
</select>
</div>
<div class='form-group mb-3'>
<label class='control-label'>Effective Date</label>
<input class='form-control' type='date' name='effectiveDate' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Time In Seconds</label>
<input class='form-control' type='number' name='timeInSeconds' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Is Time Specific</label>
<input class='form-control' type='text' name='isTimeSpecific' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Starting Time</label>
<input class='form-control' type='time' name='startingTime' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Ending Time</label>
<input class='form-control' type='time' name='endingTime' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Content Text</label>
<input class='form-control' type='text' name='contentText' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Content Detail</label>
<input class='form-control' type='text' name='contentDetail' >
</div>
        <div class="form-group mb-3">
            <button class="btn btn-sm btn-primary mr-3 px-5">Submit</button>
            <a href="{{route('care_month_entries-index')}}" class="btn btn-sm btn-default px-5">Cancel</a>
        </div>
    </form>

@endsection
